package com.duowenlvshi.duowenlszp.model.Dialogue.entity;

import java.io.Serializable;
import java.util.Date;

public class Dialogue implements Serializable {
    private static final long serialVersionUID = 1L;
    private String dialogueId;

    private String lawyerIda;

    private String lawyerIdb;

    private String jobId;

    private String topic;

    private Integer voiceTime;

    private Integer msgType;

    private String message;
    
    private String deviceId;

    private Date createDate;

    private Date updateDate;

    private String isvalid;

    private String identityA;

    private String identityB;

    private String isRead;

    private String newTopic;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getDialogueId() {
        return dialogueId;
    }

    public void setDialogueId(String dialogueId) {
        this.dialogueId = dialogueId;
    }

    public String getLawyerIda() {
        return lawyerIda;
    }

    public void setLawyerIda(String lawyerIda) {
        this.lawyerIda = lawyerIda;
    }

    public String getLawyerIdb() {
        return lawyerIdb;
    }

    public void setLawyerIdb(String lawyerIdb) {
        this.lawyerIdb = lawyerIdb;
    }

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public Integer getVoiceTime() {
        return voiceTime;
    }

    public void setVoiceTime(Integer voiceTime) {
        this.voiceTime = voiceTime;
    }

    public Integer getMsgType() {
        return msgType;
    }

    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(String isvalid) {
        this.isvalid = isvalid;
    }

    public String getIdentityA() {
        return identityA;
    }

    public void setIdentityA(String identityA) {
        this.identityA = identityA;
    }

    public String getIdentityB() {
        return identityB;
    }

    public void setIdentityB(String identityB) {
        this.identityB = identityB;
    }

    public String getIsRead() {
        return isRead;
    }

    public void setIsRead(String isRead) {
        this.isRead = isRead;
    }

    public String getNewTopic() {
        return newTopic;
    }

    public void setNewTopic(String newTopic) {
        this.newTopic = newTopic;
    }
}